Update Competence
curl --request PATCH \
--url https://api.twine.se/v1/org/competences/{competence_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"mappings": [
{
"external_id": "COMP-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"code": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"custom_properties": {},
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"name": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"type": [
{
"valid_from": "2021-06-01",
"value": null
}
]
}
},
"job_options": {
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"queue_job": true,
"schedule_in": 120
}
}
'import requests
url = "https://api.twine.se/v1/org/competences/{competence_id}"
payload = {
"data": {
"mappings": [
{
"external_id": "COMP-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"code": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"custom_properties": {},
"description": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"name": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": None
}
],
"type": [
{
"valid_from": "2021-06-01",
"value": None
}
]
}
},
"job_options": {
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"queue_job": True,
"schedule_in": 120
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
mappings: [
{
external_id: 'COMP-1024',
system_integration_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
status: 'active',
status_updated_at: '2023-11-07T05:31:56Z'
}
],
properties: {
code: [{valid_from: '2021-06-01', value: null}],
custom_properties: {},
description: [{valid_from: '2021-06-01', value: null}],
name: [{valid_from: '2021-06-01', value: null}],
source_external_id: [{valid_from: '2021-06-01', value: null}],
type: [{valid_from: '2021-06-01', value: null}]
}
},
job_options: {
domain_mapping_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
queue_job: true,
schedule_in: 120
}
})
};
fetch('https://api.twine.se/v1/org/competences/{competence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2021-06-01T12:00:00Z",
"mappings": [
{
"external_id": "COMP-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"name": "First aid",
"properties": {
"code": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"custom_properties": {},
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"name": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"type": [
{
"valid_from": "2021-06-01",
"value": null
}
]
},
"source_system": "twine",
"type": "certificate",
"updated_at": "2021-06-01T12:00:00Z"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 404,
"errors": [],
"message": "Not Found"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Competences
Update Competence
Partially update an existing Competence. Each property in the request replaces that property’s whole timeline; properties not included are left untouched.
PATCH
/
v1
/
org
/
competences
/
{competence_id}
Update Competence
Authorizations
Bearer token for authentication
Path Parameters
Body
application/json
Competence Upsert Request
Represents a request to upsert a competence
Response
Response
A competence response
A competence — an org-scoped catalogue entry (skill, certificate, license, course, …)
Show child attributes
Show child attributes
⌘I